<%@page contentType="text/html"%>

<%@page import="java.lang.System"%>
<%@page import="java.lang.String"%>
<%@page import="java.util.Properties"%>
<%@page import="java.util.Enumeration"%>
<%@page import="java.sql.Connection"%>
<%@page import="java.sql.ResultSet"%>
<%@page import="java.sql.PreparedStatement"%>
<%@page import="vkc.view.WebShare"%>

<%

Connection conn = WebShare.database.getConnection();
PreparedStatement pStmt = conn.prepareStatement( "SELECT * from v$parameter" );
ResultSet rs = pStmt.executeQuery();

%>

<html>
<head>
<body>
<H1>System Properties for the ORACLE DB</H1>
<p>
<table border=1>
  <tr bgcolor="c0c0c0">
     <td>Num</td>
     <td>Name</td>
     <td>Type</td>
     <td>Value</td>
     <td>IsDefault</td>
     <td>IsSes</td>
     <td>IsSys_Mod</td>
     <td>IsModified</td>
     <td>IsAdj</td>
     <td>Update_Comment</td>
  </tr>
  <%
     while (rs.next()) {
         int num = rs.getInt("num");
         String name = rs.getString("name");
  %>
  <tr>
     <td><%=num%></td>
     <td><%=name%></td>
  </tr>
<%}%>

</table>
<P>
<%rs.close();%>
<%conn.close();%>
</body>
</html>